org.apache.catalina.ssi

## Class SSIFsize

- java.lang.Object
- - org.apache.catalina.ssi.SSIFsize

All Implemented Interfaces:
  SSICommand

    public final class SSIFsize
    extends Object
    implements SSICommand

Implements the Server-side #fsize command

Author:
  Bip Thelin, Paul Speed, Dan Sandberg, David Becker

### Field Summary

Fields
`protected static int` `ONE_KILOBYTE`
`protected static int` `ONE_MEGABYTE`

### Constructor Summary

Constructors
Constructor and Description
`SSIFsize()`

### Method Summary

Methods
`protected String` `formatSize(long size, String format)`
`String` `padLeft(String str, int maxChars)`
`long` `process(SSIMediator ssiMediator, String commandName, String[] paramNames, String[] paramValues, PrintWriter writer)` Write the output of the command to the writer.
`String` `repeat(char aChar, int numChars)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ONE_KILOBYTE

    protected static final int ONE_KILOBYTE

See Also:
  Constant Field Values

#### ONE_MEGABYTE

    protected static final int ONE_MEGABYTE

See Also:
  Constant Field Values

### Constructor Detail

#### SSIFsize

    public SSIFsize()

### Method Detail

#### process

    public long process(SSIMediator ssiMediator,
               String commandName,
               String[] paramNames,
               String[] paramValues,
               PrintWriter writer)

Description copied from interface: `SSICommand`
Write the output of the command to the writer.

Specified by:
  `process` in interface `SSICommand`
Parameters:
  `ssiMediator` - the ssi mediator
  `commandName` - the name of the actual command ( ie. echo )
  `paramNames` - The parameter names
  `paramValues` - The parameter values
  `writer` - the writer to output to
Returns:
  the most current modified date resulting from any SSI commands
See Also:
  `SSICommand`

#### repeat

    public String repeat(char aChar,
                int numChars)

#### padLeft

    public String padLeft(String str,
                 int maxChars)

#### formatSize

    protected String formatSize(long size,
                    String format)